from django import forms
from .models import Category, Question, Choice

class NameModelChoiceField(forms.ModelChoiceField):
    def label_from_instance(self, obj):
        return obj.name

class QuestionForm(forms.ModelForm):
    class Meta:
        model = Question
        exclude = ['pub_date', 'category_id']
    category_queryset = Category.objects.all()
    category = NameModelChoiceField(category_queryset)

# on garde ça pour l'exemple. Ça marche bien aussi.
class QuestionFormOld(forms.ModelForm):
    question_text = forms.CharField(label='Votre question', max_length=800)
    category_queryset = Category.objects.all()
    category = NameModelChoiceField(category_queryset)

class OneChoiceForm(forms.ModelForm):
    class Meta:
        model = Choice
        exclude = ['question', 'votes']
    #choice = forms.CharField(label='choix', max_length=30)
    
class CategoryForm(forms.Form):
    category = forms.CharField(label='La catégorie', max_length=30)
