from django.urls import path, reverse_lazy
from . import views
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.auth.views import LoginView

app_name = 'polls'
urlpatterns = [
    path('', views.IndexView.as_view(), name='index'),
    path('<int:pk>/', views.QuestionDetailView.as_view(), name="detail"),
    path('<int:pk>/results/', views.QuestionResultsView.as_view(), name='results'),
    path('<int:question_id>/valid/', views.PostRequestResult.as_view(), name='valid'),
    path('<int:question_id>/vote/', views.vote, name='vote'),
    path('<int:question_id>/add_choice/', views.AddChoiceView.as_view(), name='add_choice'),
    path('choice/<int:pk>/', views.ChoiceDetail.as_view(), name='choice'),
    path('createquestion', views.AddQuestionView.as_view(), name='add_question'),
    path('updatequestion/<int:pk>/', views.UpdateQuestionView.as_view(), name='update_question'),
    path('deletequestion/<int:pk>/', views.DeleteQuestionView.as_view(), name='delete_question'),
    path('category/<int:category_id>/', views.CategoryView.as_view(), name='category'),
    path('createcategory', views.AddCategoryView.as_view(), name='add_category'),
    path('usefullcategory', views.UsefullCategoriesView.as_view(), name='usefull_category'),
    path('login', views.PollLoginView.as_view(), name='login'),
    path('logout', views.logout_view, name='logout'),
    ]
